/newpage

# Households {#sec:household}

## What is a household?

A household is a set of users living 'under the same roof'. This can be members of a family, members of a blended family, members of a foster family, etc.
<!-- Living "under the same roof" OR living at the same address?  -->

A household is characterised by an address, which corresponds to the home address of its members. This address can change (in case of a move): it is therefore defined between a start date and an end date and there may be a history of household addresses. Similarly, a user may change household and have a history of households.

## Household summary

<!-- /en/person/household/{household_id}/summary -->

![Household Summary](user/img/en_person_household_376_summary.png)

The household summary page is accessed via the "person" menu or by clicking on the household icon in the person search. The household summary page shows the current household address, the household members and the composition of the household.

The household address history can be accessed in the household menu under the heading "Address history". The address history shows all successive household addresses and allows for additions.

<!-- /en/person/household/{household_id}/addresses -->

![Household address history](user/img/en_person_household_376_addresses.png)

A list of the household's trajectories can also be displayed by clicking in the household menu on <**trajectories**>.


### Create a household

If there is no household in the list of households for a user, then the software allows you to create a new household. At this stage, you can create a new household or join an existing one. The software will automatically propose possible households by making some suggestions.

#### Which households are suggested?

The software tries to establish links between the persons concerned by the change of household, and other households.

The links made are as follows:

* For each person affected by the change, the software checks whether he or she is present in another support trajectory, with other persons. If these persons are themselves associated with a household, then the software proposes to join that existing household.
* The software also examines the location of the support trajectories in which the person, concerned by the change, is located. If a support trajectory is located at a reference address, the software looks to see if there are other households living at that address. If it finds any, these households will also be suggested.

At this stage, you can enter an address; this will immediately locate the created household. The software will suggest you to re-use known addresses.

#### Which addresses are suggested?

The software suggests you to re-use the temporary location of the support trajectories associated with the household members.

For each person who is going to "change household", the software examines whether he is currently associated with a trajectory. If this trajectory has a temporary address, then this address will be included in the suggestions.

### Join a household

There are several possible ways of getting a person to join a household:

- when creating a social trajectory for a person who is not in a household, the software suggests that he/she should join a household. The action then positions him/her in a household, whether it is an existing household or one to be created.

- When you are on the household summary page, you can always search for and add a person. To do this, use the "Add a member" button at the bottom of the page.

### Positions in the household

<!-- note that the positions "children outside the household", etc., are configurations -->

Each member of the household is detailed in the "household summary" page. The person can have a certain position in the household: adult or child, as well as being the owner of a household. At any time it is possible to remove a person from a household, or to reposition him/her in the household (e.g. to make him/her the owner).

If necessary, it is also possible to view a former membership, i.e. a person who used to belong to the household but is no longer part of it.


## Add members to the household, leave a household, join a household

At the bottom of the household summary page, the <**Add a member**> button allows you to add a user to the household. When clicking on this button, in the following pages, one can:

- add one or more existing persons, or create new ones;
- position each person in the household, i.e. specify whether he/she is a child or an adult, and possibly qualify him/her as a household member;
- enter the date when the person joins the household, and possibly a comment;
- and, finally, save.

In the list of household members, using the buttons on the right, one can

- leave the household: in this case, the person can join another household or leave without joining a household. Again, a change date is encoded.
- reposition the member: i.e. change the position (adult, child, ...) of the member.
- fill in the membership: i.e. change the date and the comment of the change


## Affiliations
<!-- /en/person/household/{household_id}/relationship -->

![Affiliations of a houshold](user/img/menage_filiations.png)

The "affiliations" page provides an overview in graph form of the affiliations within a household, i.e. the relationships between its members. This page allows not only to view the relationships but also to edit them. By clicking on <**Create a relationship**>, then selecting 2 persons, it is possible to define the relationship between these 2 persons: mother/father-daughter/son, brother/sister-brother/sister, uncle/aunt-nephew/niece.

In addition, the graph also shows the support trajectories associated with each household member. By displaying the trajectory, persons who may be linked to these trajectories, but belong to other households can be displayed. The elements of the graph can be moved by clicking and dragging. Finally, the graph can be exported as an image.

In short, this page summarises a household and its relationships in an easy-to-understand diagram.

## Family composition

The family composition is a qualification of the household as a household type, e.g. couple with children, couple without children, single mother, single woman, etc. This composition is valid until a certain date and with a maximum of one year.

As with the addresses of a household, it is possible to view the history of the composition of a household.